Retrieves a list of [cache instances](https://docs.cloud.google.com/storage/docs/rapid/rapid-cache.md.txt) for a specified bucket.

## Required permissions

The authenticated user must have the `storage.anywhereCaches.list`
IAM permission on the bucket to use this method.

## Request

### HTTP request

```
GET https://storage.googleapis.com/storage/v1/b/bucket/anywhereCaches
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query), the following parameters apply to this method.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `bucket` | `string` | Name of a bucket. |

To see an example of how to include parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a list of
[AnywhereCache resources](https://docs.cloud.google.com/storage/docs/json_api/v1/AnywhereCache.md.txt#resource-representation) in the following
structure:

```
{
    "kind": "storage#AnywhereCache",
    "items": [
      AnywhereCache Resource
    ],
    "nextPageToken": string
  }
```

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.